VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IContentProvider Class Referenceabstract

`#include <icontentprovider.h>`

Inheritance diagram for IContentProvider:

## Public Member Functions
virtual uint32_t | readRawData (int8_t *buffer, uint32_t size)=0
virtual void | rewind ()=0
virtual | ~IContentProvider () noexcept=default

## Constructor & Destructor Documentation

## ◆ ~IContentProvider()

virtual ~IContentProvider | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ readRawData()

virtual uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size )
| pure virtual

Implemented in InputStreamContentProvider, MemoryContentProvider, and ZLibInputContentProvider.

## ◆ rewind()

virtual void rewind | ( |  | ) |
| pure virtual

Implemented in InputStreamContentProvider, MemoryContentProvider, and ZLibInputContentProvider.

The documentation for this class was generated from the following file:

- icontentprovider.h